Loading...
Searching...
No Matches
g

## Detailed Description

Examples
  burgers_dg.cc, burgers_diffusion_exact.h, burgers_diffusion_operators.icc, cavity_dg.h, cosinusprod_dirichlet.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet-nh.cc, dirichlet_dg.cc, dirichlet_hdg.cc, dirichlet_homogeneous.h, elasticity_taylor_dg.cc, harten.h, inertia.h, inertia_cks.icc, mosolov_error_yield_surface.cc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, robin.cc, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, stokes_dirichlet_dg.icc, taylor.h, and taylor_exact.h.

Definition at line 25 of file cavity_dg.h.

## Public Member Functions

point | operator() (const point &x) const
Float | operator() (const point &x) const
| g (size_t d)
Float | operator() (const point &x) const
| g (size_t d1)
Float | operator() (const point &x) const
| g (size_t=0)
Float | operator() (const point &x) const
| g (size_t=0)
Float | operator() (const point &x) const
| g (size_t d)
Float | operator() (const point &x) const
| g (size_t d1)
Float | operator() (const point &x) const
| g (size_t d1)
Float | operator() (const point &x) const
| g (size_t=0)
point | operator() (const point &x) const
| g ()

## Public Attributes

u_exact | _u
const Float | pi
Float | a
size_t | d
Float | pi
size_t | n

## Constructor & Destructor Documentation

## g() [1/9]

g | ( | size_t | d | ) |

Definition at line 34 of file cosinusprod_dirichlet.h.

## g() [2/9]

g | ( | size_t | d1 | ) |

Definition at line 34 of file cosinusprod_laplace.h.

## g() [3/9]

g | ( | size_t | = `0` | ) |

Definition at line 36 of file cosinusrad_laplace.h.

## g() [4/9]

g | ( | size_t | = `0` | ) |

Definition at line 31 of file dirichlet_homogeneous.h.

## g() [5/9]

g | ( | size_t | d | ) |

Definition at line 34 of file sinusprod_dirichlet.h.

## g() [6/9]

g | ( | size_t | d1 | ) |

Definition at line 44 of file sinusprod_helmholtz.h.

## g() [7/9]

g | ( | size_t | d1 | ) |

Definition at line 43 of file sinusprod_laplace.h.

## g() [8/9]

g | ( | size_t | = `0` | ) |

Definition at line 38 of file sinusrad_laplace.h.

## g() [9/9]

g | ( |  | ) |

Examples
  cosinusprod_dirichlet.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet_homogeneous.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, and taylor.h.

Definition at line 29 of file taylor.h.

## Member Function Documentation

## operator()() [1/10]

point operator() | ( | const point & | x | ) | const

Examples
  cavity_dg.h, cosinusprod_dirichlet.h, cosinusprod_laplace.h, cosinusrad_laplace.h, dirichlet_homogeneous.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, sinusprod_laplace.h, sinusrad_laplace.h, and taylor.h.

Definition at line 26 of file cavity_dg.h.

## operator()() [2/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 33 of file cosinusprod_dirichlet.h.

## operator()() [3/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 32 of file cosinusprod_laplace.h.

## operator()() [4/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 34 of file cosinusrad_laplace.h.

## operator()() [5/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 30 of file dirichlet_homogeneous.h.

## operator()() [6/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 33 of file sinusprod_dirichlet.h.

## operator()() [7/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 36 of file sinusprod_helmholtz.h.

## operator()() [8/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 33 of file sinusprod_laplace.h.

## operator()() [9/10]

Float operator() | ( | const point & | x | ) | const

Definition at line 34 of file sinusrad_laplace.h.

## operator()() [10/10]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file taylor.h.

## Member Data Documentation

## _u

u_exact _u

Examples
  cosinusprod_dirichlet.h, and sinusprod_dirichlet.h.

Definition at line 35 of file cosinusprod_dirichlet.h.

## pi [1/2]

const Float pi

Examples
  cosinusprod_laplace.h, sinusprod_helmholtz.h, sinusprod_laplace.h, and taylor.h.

Definition at line 35 of file cosinusprod_laplace.h.

## a

Float a

Examples
  cosinusrad_laplace.h.

Definition at line 37 of file cosinusrad_laplace.h.

## d

size_t d

Examples
  cosinusprod_dirichlet.h, sinusprod_dirichlet.h, sinusprod_helmholtz.h, and sinusprod_laplace.h.

Definition at line 45 of file sinusprod_helmholtz.h.

## pi [2/2]

Float pi

Definition at line 44 of file sinusprod_laplace.h.

## n

size_t n

Examples
  sinusrad_laplace.h.

Definition at line 39 of file sinusrad_laplace.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/cavity_dg.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/cosinusprod_dirichlet.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/cosinusprod_laplace.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/cosinusrad_laplace.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/sinusprod_dirichlet.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/sinusprod_helmholtz.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/sinusprod_laplace.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/sinusrad_laplace.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/taylor.h
- /build/rheolef-Hrneba/rheolef-7.2/doc/examples/dirichlet_homogeneous.h